commit:     c92d83e755d924a8c99186b339b68cab6cc25f7e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 14 12:44:25 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Aug 14 12:44:40 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c92d83e7

net-dns/nsd: Bump to version 4.1.24

Package-Manager: Portage-2.3.46, Repoman-2.3.10

 net-dns/nsd/Manifest          |   1 +
 net-dns/nsd/nsd-4.1.24.ebuild | 106 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

diff --git a/net-dns/nsd/Manifest b/net-dns/nsd/Manifest
index 677a2624be5..7593b6fdcb2 100644
--- a/net-dns/nsd/Manifest
+++ b/net-dns/nsd/Manifest
@@ -1 +1,2 @@
 DIST nsd-4.1.23.tar.gz 1102038 BLAKE2B 
673146931421ba7be5e90b6f60db23f9e61f42687e4f0aac2d6624125f09067dab535a3badfd00d795a3948319467f3924ca24cc0697b0c203591c2d6efb1834
 SHA512 
7eb44658be6a3b94855d1a84201e5f20a02c8d85786ac0b1f82a3a67e6bc3c22602d03a8976c2bcb68ea68f0bcf72f1d9fe688e1fd1f9fbe6a774c97bdcf7939
+DIST nsd-4.1.24.tar.gz 1107574 BLAKE2B 
9e22d6a07bc7c63efb41b0b4e1a0e1e36d94db9bf79f31a704bd1ec7ba371b059669feebca4b6ed9427ba41017f661ebd8a30a26ee433b45374df75d2c182cb2
 SHA512 
68f7f62c740e5a73d1b9da4b6d593ff1b728bc398ad126a75febaa523a2117c80315bf90ca6a60aabf38539181e00524cedb106a32b4883aa8ed021462d47762

diff --git a/net-dns/nsd/nsd-4.1.24.ebuild b/net-dns/nsd/nsd-4.1.24.ebuild
new file mode 100644
index 00000000000..39c2613bc07
--- /dev/null
+++ b/net-dns/nsd/nsd-4.1.24.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit user systemd
+
+# version voodoo needed only for non-release tarballs: 4.0.0_rc1 => 4.0.0rc1
+MY_PV="${PV/_beta/b}"
+MY_PV="${MY_PV/_rc/rc}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="An authoritative only, high performance, open source name server"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/nsd";
+SRC_URI="http://www.nlnetlabs.nl/downloads/${PN}/${MY_P}.tar.gz";
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bind8-stats ipv6 libevent minimal-responses mmap munin +nsec3 ratelimit 
root-server runtime-checks ssl systemd libressl"
+
+S="${WORKDIR}/${MY_P}"
+
+RDEPEND="
+       libevent? ( dev-libs/libevent )
+       munin? ( net-analyzer/munin )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+       systemd? ( sys-apps/systemd )
+"
+DEPEND="
+       ${RDEPEND}
+       sys-devel/flex
+       virtual/yacc
+       systemd? ( virtual/pkgconfig )
+"
+
+PATCHES=(
+       # Fix the paths in the munin plugin to match our install
+       "${FILESDIR}"/nsd_munin_.patch
+)
+
+src_configure() {
+       local myeconfargs=(
+               --enable-largefile
+               --enable-pie
+               --enable-relro-now
+               --with-dbfile="${EPREFIX}"/var/db/nsd/nsd.db
+               --with-logfile="${EPREFIX}"/var/log/nsd.log
+               --with-pidfile="${EPREFIX}"/run/nsd/nsd.pid
+               --with-xfrdfile="${EPREFIX}"/var/db/nsd/xfrd.state
+               --with-xfrdir="${EPREFIX}"/var/db/nsd
+               --with-zonelistfile="${EPREFIX}"/var/db/nsd/zone.list
+               --with-zonesdir="${EPREFIX}"/var/lib/nsd
+               $(use_enable bind8-stats)
+               $(use_enable bind8-stats zone-stats)
+               $(use_enable ipv6)
+               $(use_enable minimal-responses)
+               $(use_enable mmap)
+               $(use_enable nsec3)
+               $(use_enable ratelimit)
+               $(use_enable root-server)
+               $(use_enable runtime-checks checking)
+               $(use_enable systemd)
+               $(use_with libevent)
+               $(use_with ssl)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       dodoc 
doc/{ChangeLog,CREDITS,NSD-4-features,NSD-FOR-BIND-USERS,README,RELNOTES,REQUIREMENTS}
+
+       newinitd "${FILESDIR}"/nsd.initd-r1 nsd
+
+       # install munin plugin and config
+       if use munin ; then
+               exeinto /usr/libexec/munin/plugins
+               doexe contrib/nsd_munin_
+               insinto /etc/munin/plugin-conf.d
+               newins "${FILESDIR}"/nsd.munin-conf nsd_munin
+       fi
+
+       systemd_dounit "${FILESDIR}"/nsd.service
+
+       # remove the /run directory that usually resides on tmpfs and is
+       # being taken care of by the nsd init script anyway (checkpath)
+       rm -r "${ED%/}"/run || die "Failed to remove /run"
+
+       keepdir /var/db/${PN}
+}
+
+pkg_postinst() {
+       # Do this in postinst to ensure the uid/gid is consistent for binpkgs
+       enewgroup nsd
+       enewuser nsd -1 -1 -1 nsd
+
+       # database directory, writable by nsd for database updates and zone 
transfers
+       install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/db/nsd
+
+       # zones directory, writable by nsd for zone file updates (nsd-control 
write)
+       install -d -m 750 -o nsd -g nsd "${EROOT%/}"/var/lib/nsd
+}

Reply via email to